List Verifications
curl --request GET \
--url https://api.example.com/v2/partners/{partner_id}/kyb \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/partners/{partner_id}/kyb"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/partners/{partner_id}/kyb', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": "pending",
"verification_type": "business_search",
"requested_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"is_verified": true,
"verification_rating": "<string>",
"risk_rating": "<string>",
"error_message": "<string>",
"object": "<string>"
}
]{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}kyb
List Verifications
List KYB Verifications
Returns all KYB verifications for the specified partner, newest first.
GET
/
v2
/
partners
/
{partner_id}
/
kyb
List Verifications
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Current status of the verification request.
Available options:
pending, in_progress, completed, failed The type of verification performed.
Available options:
business_search, online_presence, lien_search, docket_search, comprehensive When the verification was requested.
When the verification completed (success or failure).
Overall verification result - True if business is verified, False if not, None if pending.
Verification quality rating (A, B, C, F). Null if vendor doesn't provide.
Risk assessment rating (A, B, C, F). Null if vendor doesn't provide.
Error message if verification failed.
String representing the object's type. Objects of the same type share the same value.
